Il y a actuellement 41 visiteurs
Samedi 21 Octobre 2017
accueilactualitésdossierscomparer les prixtélécharger gratuitement vos logicielsoffres d'emploiforum informatique
Connexion
Créer un compte

amsn sur mandriva 2006

L'informatique, ce n'est pas qu'un PC équipé de Windows. Ce forum est dédié aux utilisateurs de systèmes d'exploitation dérivés d'unix (GNU/Linux, *BSD, etc...) et aux autres OS alternatifs.

amsn sur mandriva 2006

Message le 09 Avr 2006 17:14

bonjour , je viens d'installer la mandriva free 2006 . j'ai téléchargé le fichier amsn-0.95.tar.gz . j'ai réussit à le décompressé mais je n'arrive pas à l'installer :

[root@localhost amsn-0.95]# ./configure
checking for gcc... no
checking for cc... no
checking for cc... no
checking for cl... no
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details.

comment puis-je débloquer cela ? merci d'avance .
Avatar de l'utilisateur
lherbaux
Expert(e)
Expert(e)
 
Messages: 844
Inscription: 17 Sep 2003 19:05
 


Message le 09 Avr 2006 17:20

j'ai réussit à installé gcc , mais j'ai cela comme message maintenant :

[root@localhost amsn-0.95]# ./configure
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking for g++... no
checking for c++... no
checking for gpp... no
checking for aCC... no
checking for CC... no
checking for cxx... no
checking for cc++... no
checking for cl... no
checking for FCC... no
checking for KCC... no
checking for RCC... no
checking for xlC_r... no
checking for xlC... no
checking whether we are using the GNU C++ compiler... no
checking whether g++ accepts -g... no
checking how to run the C preprocessor... gcc -E
checking for prefix by checking for wish... no

que dois-je faire maintenant ? merci d'avance .
Avatar de l'utilisateur
lherbaux
Expert(e)
Expert(e)
 
Messages: 844
Inscription: 17 Sep 2003 19:05
 

Message le 09 Avr 2006 17:25

j'ai installé un gcc+ , maintenant j'ai cela :

[root@localhost amsn-0.95]# ./configure
[root@localhost amsn-0.95]# ./configure
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking how to run the C preprocessor... gcc -E
checking for prefix by checking for wish... no
which: no tclsh in (/sbin:/usr/sbin:/bin:/usr/bin:/usr/X11R6/bin:/usr/local/bin:/usr/local/sbin)
checking tcl build dir... warning: locate: could not open database: /var/lib/slocate/slocate.db: No such file or directory
warning: You need to run the 'updatedb' command (as root) to create the database.
configure: error: Unable to find Tcl directory or Tcl package is not tcl-dev

que dois-je faire maintenant ? merci d'avance .
Avatar de l'utilisateur
lherbaux
Expert(e)
Expert(e)
 
Messages: 844
Inscription: 17 Sep 2003 19:05
 

Message le 09 Avr 2006 17:29

j'ai lancé updateddb , et voici ce qu'il me dit :

[root@localhost amsn-0.95]# updatedb
[root@localhost amsn-0.95]# ./configure
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking how to run the C preprocessor... gcc -E
checking for prefix by checking for wish... no
which: no tclsh in (/sbin:/usr/sbin:/bin:/usr/bin:/usr/X11R6/bin:/usr/local/bin:/usr/local/sbin)
checking tcl build dir... configure: error: Unable to find Tcl directory or Tcl package is not tcl-dev

que dois-je faire maintenant ? merci d'avance .
Avatar de l'utilisateur
lherbaux
Expert(e)
Expert(e)
 
Messages: 844
Inscription: 17 Sep 2003 19:05
 

Message le 09 Avr 2006 17:38

j'ai installé tcl et tk , maintenant il m'affiche cela :

[root@localhost amsn-0.95]# ./configure
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking how to run the C preprocessor... gcc -E
checking for prefix by checking for wish... /usr/bin/wish
checking tcl build dir... using tcl library in /usr/lib
checking tk build dir... using tk library in /usr/lib
checking for main in -lstdc++... yes
checking for X... no
"Could not find X11 devel package
checking for ftello... yes
checking for fseeko... yes
checking for getpt... yes
checking for strcasestr... yes
checking for memmem... yes
checking for dlopen... no
checking for pthread_create in -lpthread... yes
checking if mmx should be used... yes
configure: creating ./config.status
config.status: creating Makefile
config.status: creating utils/linux/capture/config.h

compile time options summary
============================

X11 : no
Using Libng : yes
Tcl : 8.4
TK : 8.4
DEBUG : no

que dois-je faire maintenant ? merci d'avance .
Avatar de l'utilisateur
lherbaux
Expert(e)
Expert(e)
 
Messages: 844
Inscription: 17 Sep 2003 19:05
 

Message le 09 Avr 2006 18:27

quand je lance : ./amsn sous le mode terminal, et une petit fenêtre l'indique ce message :

"You can't load TkCximage, this is now needed to run aMSN. Please compile amsn first, instructions on how to compile are located in the file INSTALL"

que dois-je faire ? merci d'avance .
Avatar de l'utilisateur
lherbaux
Expert(e)
Expert(e)
 
Messages: 844
Inscription: 17 Sep 2003 19:05
 

Message le 10 Avr 2006 19:03

Bonjour,

Bizarrement il ne te détecte pas d'environnement graphique :o
Par contre tu n'as pas encore compilé. Tu as simplement configuré.
Normalement on commence par faire ./configure, en mode utilisateur normal.
Puis on fait un make, toujours en utilisateur normal. Et si tout va bien on finit par un make install en tant que root.
Pourquoi n'as tu pas pris une Ubuntu ou encore une Mandriva pour débuter ? (à moins que cela ne soit déjà fait :wink:).
Mais d'un côté ce n'est pas plus mal de mettre les mains dans le cambouis dès le début :)
Le savoir m'a appris que je ne savais rien
Le MIEUX est l'ennemi du BIEN.
Avatar de l'utilisateur
blankoworld
PC-Infopraticien
PC-Infopraticien
 
Messages: 5993
Inscription: 21 Juin 2004 09:41
Localisation: Pala
 

résolu

Message le 10 Avr 2006 21:43

finalement , j'ai téléchargé amsn en version rpm . et ça a marché tout seul pour l'installation . maintent j'ai amsn qui marche nikel .
Avatar de l'utilisateur
lherbaux
Expert(e)
Expert(e)
 
Messages: 844
Inscription: 17 Sep 2003 19:05
 

Re: résolu

Message le 11 Avr 2006 14:44

lherbaux a écrit:finalement , j'ai téléchargé amsn en version rpm . et ça a marché tout seul pour l'installation . maintent j'ai amsn qui marche nikel .

Dommage que tu n'aies pas testé en compilant, c'est utile :P
Par contre un petit [Réglé] dans le titre du premier message serait le bienvenue.
Le savoir m'a appris que je ne savais rien
Le MIEUX est l'ennemi du BIEN.
Avatar de l'utilisateur
blankoworld
PC-Infopraticien
PC-Infopraticien
 
Messages: 5993
Inscription: 21 Juin 2004 09:41
Localisation: Pala
 

Message le 13 Avr 2006 07:36

Il aurait été plus judicieux d'apprendre à utiliser l'outil urpmi... car :
- d'une part, amsn fait partie de la distribution mandriva (dans le dépot "contrib") [1]
- d'autre part, tu risque d'avoir besoin d'urpmi pour installer d'autre logiciels et mettre à jour ton systeme...

Un bonne adresse: http://easyurpmi.zarb.org/

--
[1] sur cooker, sur les autres versions je n'ai pas vérifié
Avatar de l'utilisateur
glenux
PC-Infopraticien
PC-Infopraticien
 
Messages: 2753
Inscription: 01 Mar 2003 16:22
Localisation: Entre deux BarCamps
 

Message le 13 Avr 2006 17:06

Mince il avait Mandriva 2006 :o
Je croyais qu'il était sous Fedora Core 4 :lol: à cause des nombreux autres posts.
Finalement lherbaux, tu as quoi comme GNU/Linux maintenant ? Tous en même temps ? (un sur chaque poste) ou bien un et un seul ?
Le savoir m'a appris que je ne savais rien
Le MIEUX est l'ennemi du BIEN.
Avatar de l'utilisateur
blankoworld
PC-Infopraticien
PC-Infopraticien
 
Messages: 5993
Inscription: 21 Juin 2004 09:41
Localisation: Pala
 

mandra amsn

Message le 27 Aoû 2006 22:00

Bonsoir
je vien d avoir la mandrake et quand j essaye de decompresser le amsn rpm il me marque c erreur:
[root@machinea Desktop]# rpm -i amsn-0.95-1-mdk92.i686.rpm
error: failed dependencies:
tcl >= 8.4 is needed by amsn-0.95-1
tk >= 8.4 is needed by amsn-0.95-1
coreutils is needed by amsn-0.95-1
libc.so.6(GLIBC_2.3) is needed by amsn-0.95-1
libc.so.6(GLIBC_2.3.2) is needed by amsn-0.95-1
qu est ce que je devrai faire la??
goutedo
Visiteur
Visiteur
 
Messages: 1
Inscription: 27 Aoû 2006 21:52
 

Message le 28 Aoû 2006 10:42

Bonjour,

Quelle est la version de mandrake que tu as installée ?

Le message d'erreur que tu obtiens signifie qu'il te manque la librairie libc ou que la version installée sur ta machine n'est pas la bonne : as-tu libc.so dans le répertoire /usr/lib ? (il me semble bien que c'est ce répertoire dans mandrake, si qqn peut confirmer...)
Heureux les fêlés, car ils laissent passer la lumière
lucilette
Apprenti(e) Expert(e)
Apprenti(e) Expert(e)
 
Messages: 273
Inscription: 07 Aoû 2003 16:16
 



Sujets similaires

Message [Résolu]Mandriva clavier Canadien fr-instal logiciel
Salut tout le monde !pour le clavier mon clavier n écris pas les bonnes letres quand je tappe sur mon ordi exemple :quand je tappe sur :mc ça qui est écrit : ,et quand je tappe sur : ac ça qui est écrit : qet quand je tappe sur :zc ça qui est écrit : won m a dit d instaler le clavier AZERTY mais je ...
Réponses: 4

Message aMSN et page d'accueil Hotmail
Bonjour tout le monde!Avec la prochaine disparition de Windows Live Messenger, je me suis mis en recherche d'un petit logiciel qui me permet de voir si j'ai un nouveau message.J'ai opté pour aMSN, mais j'ai un petit souci : quand il me signale un mail, je clique sur la petite enveloppe suivie de &qu ...
Réponses: 0

Message probleme de synchronisation vertical mandriva
Salutation à toutes et à tous!Je viens solliciter votre aide au sujet de mon Mandriva sans doute un problème de synchronisation vertical mais je n'en suis pas sûr .Voila tout d'abord os:Mandriva Powerpack 2010 version 64 bits;CG 9600GT et pilote carte graphique propriétaire nvidia (version 195.36. ...
Réponses: 2

Message Logiciel Smart ST 2006
Bonjour, J'ai un NAVMAN F 20 vendu sans logiciel. Pour mettre à jour,il faut ce logiciel vendu par Navman avec le cordon USB que j'ai déjà. Y a t'il des possibilités de se procurer ce logiciel en téchargement ou sous forme de CD moins cher que chez Navman ?
Réponses: 8

Message [Publié] Mandriva pourrait équiper les écoles russes
Mandriva, distribution Linux très connue du public car parmi les plus facile d’accès pour les néophytes, pourrait bien équiper les écoles russes d’ici peu...Lire la suite ici...
Réponses: 36

Message USB avec mandriva 2010
Bonjour, j'ai un souci mes ports USB sur mandriva 2010, quand je met une clé usb ou disque dur externe , il me marque qu"il ne peut pas monter le volume : isCallerPrivileged() failled
Réponses: 4

Message Pilote hd2400 Mandriva 2010
Bonjour, J'ai installé Mandriva 2010, aucun souci sauf qu'il faut que je passe lors de l'installation par xdriver=free en option.Jusque là tout va bien, mais Mandriva ne prend pas en compte les effets 3D. Le pilote pour ma carte Mobility HD4570 est HD2000 et j'ai vu qu'il existe HD2400 mais il ne me ...
Réponses: 8


Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 4 invités


.: Nous contacter :: Flux RSS :: Données personnelles :.